Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class BindingTemplates

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.BindingTemplates

public class BindingTemplates
extends java.lang.Object

The bindingTemplates contains one or more bindingTemplate structures. BindTemplates holds the technical service description information related to a given business service.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`BindingTemplates()` Class constructor.

Method Summary
`void` | `addBindingTemplate(BindingTemplate value)` Adds a new binding template to the set of binding template.
`java.util.Vector` | `getBindingTemplateVector()` Gets the set of binding templates.
`void` | `setBindingTemplateVector(java.util.Vector value)` Sets the values of binding templates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingTemplates

    public BindingTemplates()

  Class constructor.

Method Detail

### addBindingTemplate

    public void addBindingTemplate(BindingTemplate value)

  Adds a new binding template to the set of binding template.

  Parameters:
    `value` - the new binding template.

### setBindingTemplateVector

    public void setBindingTemplateVector(java.util.Vector value)

  Sets the values of binding templates.

  Parameters:
    `value` - the setr of binding templates to be included

### getBindingTemplateVector

    public java.util.Vector getBindingTemplateVector()

  Gets the set of binding templates.

  Returns:
    the current set of binding templates.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference